Bug 63324 - Massive NFS performance problems writing to fs from Solaris
Massive NFS performance problems writing to fs from Solaris
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-12 12:01 EDT by Walter Mueller
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Mueller 2002-04-12 12:01:59 EDT
Description of Problem:

Writing to a filesystem mounted from a Solaris 2.6 host give massive performance
problems. Copying a 2.5 MByte file to that fs lasts for 5 Minutes. ping times to
 the Solaris host increase from  0.157 ms to over 6 ms.
Adding rsize=8192,wsize=8192 to the mount options gives back normal performance.
There was no problem with the same filesystem and RedHat-7.2 (enigma)
The problem exists also in the kernel and nfs-utils in rawhide



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Arjan van de Ven 2002-04-14 09:34:26 EDT
rsize=8192,wsize=8192 is the recommended tuning for solaris servers (and
discouraged for all others)....... as per manpage of mount
Comment 2 Walter Mueller 2002-04-16 02:20:53 EDT
I still think it is a bug. If i upgrade from an enigma system, the performances
decreases without any obvious reason
The man page says

rsize=8192,wsize=8192
              This will make your nfs connection faster than with
              the  default  buffer  size of 4096. (NFSv2 does not
              work with larger values of rsize and wsize.)

This does not mention solaris nor does it consider the fact that the "bug" oncly
o occurs during write operations to the file system.
Comment 3 Need Real Name 2002-04-25 09:34:48 EDT
I am having the same problem with 7.2.93, even when the filesystem is mounted
with rsize and wsize to 8192:
yoda:/export/yoda1 on /yoda1 type nfs
(rw,noatime,intr,timeo=11,rsize=8192,wsize=8192,addr=192.168.117.10)

Here is the result of an test where I copied a ~500k file over another ~500k
file:
{dgl@endor:6} ls -l diary diary.020424 
-rw-r--r--    1 dgl      users      555875 Apr 25 06:03 diary
-rw-r--r--    1 dgl      users      555587 Apr 24 23:43 diary.020424
{dgl@endor:9} /bin/date ; /bin/cp diary diary.020424 ; /bin/date
Thu Apr 25 06:09:59 PDT 2002
Thu Apr 25 06:20:00 PDT 2002

It took 10 minutes!  During that 10 minutes, I took some ping statistics from a
different computer to the NFS host:
[root@vader dgl]# ping -f yoda
PING yoda.integrinautics.com (192.168.117.10): 56 data bytes
--- yoda.integrinautics.com ping statistics ---
542 packets transmitted, 510 packets received, 5% packet loss
round-trip min/avg/max = 124.5/127.1/130.0 ms

After the copy (finally) finished, I took more ping statistics:
[root@vader dgl]# ping -f yoda
PING yoda.integrinautics.com (192.168.117.10): 56 data bytes
--- yoda.integrinautics.com ping statistics ---
13665 packets transmitted, 13664 packets received, 0% packet loss
round-trip min/avg/max = 0.1/0.2/10.0 ms

Ping was ~500x slower on average!
Comment 4 Bugzilla owner 2004-09-30 11:39:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.